Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455151 - Conflict over /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm
Summary: Conflict over /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Catalyst-Runtime
Version: 9
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454029
TreeView+ depends on / blocked
 
Reported: 2008-07-13 00:36 UTC by Nick Urbanik
Modified: 2009-03-25 15:46 UTC (History)
4 users (show)

Fixed In Version: 5.7013-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 491933 (view as bug list)
Environment:
Last Closed: 2008-07-30 20:01:46 UTC


Attachments (Terms of Use)

Description Nick Urbanik 2008-07-13 00:36:50 UTC
Description of problem:
The file /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm occurs in both
perl-Catalyst-Runtime-5.7014-3.fc9.noarch and
perl-Catalyst-Manual-5.7012-2.fc9.noarch.  Installation of either
perl-Catalyst-Devel or perl-Catalyst-Runtime-scripts requires
perl-Catalyst-Manual.  This conflict has occurred some weeks previously; it
prevents yum updates from proceeding.

Version-Release number of selected component (if applicable):
5.7014-3.fc9


How reproducible:
Always.

Steps to Reproduce:
1. sudo yum -y install  perl-Catalyst-Runtime
2. Attempt to install any of perl-Catalyst-Devel, perl-Catalyst-Manual or
perl-Catalyst-Runtime-scripts
3. Transaction Check Error:
  file /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm from install of
perl-Catalyst-Manual-5.7012-2.fc9.noarch conflicts with file from package
perl-Catalyst-Runtime-5.7014-3.fc9.noarch
  
Actual results:
See Transaction Check Error resulting from conflict over
/usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm

Expected results:
Expect that updates provided by the one fedora updates repository would not
conflict with each other, especially not multiple times over a period of weeks.

Additional info:
Have added this to perl-Catalyst-runtime, since it seems that Catalyst/Manual.pm
would more appropriately belong to perl-Catalyst-Manual.

Comment 1 Chris Weyl 2008-07-25 15:48:03 UTC
Fixed in rawhide, building in F-8, F-9...

Comment 2 Fedora Update System 2008-07-25 15:54:25 UTC
perl-Catalyst-Manual-5.7013-1.fc9 has been submitted as an update for Fedora 9

Comment 3 David Chipman 2008-07-28 22:17:23 UTC
Problem still exists, installing from updtaes testing on this date. Please fix.

Error:
Transaction Check Error:
  file /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm conflicts between
attempted installs of perl-Catalyst-Runtime-5.7014-3.fc9.noarch and
perl-Catalyst-Manual-5.7012-2.fc9.noarch

Comment 4 Chris Weyl 2008-07-28 22:35:46 UTC
(In reply to comment #3)
> Problem still exists, installing from updtaes testing on this date. Please fix.

Note that for whatever reason, the updated package (5.7013-1.fc9) hasn't
actually been pushed into the testing repos yet.

Comment 5 Nick Urbanik 2008-07-29 22:46:11 UTC
(In reply to comment #2)
> perl-Catalyst-Manual-5.7013-1.fc9 has been submitted as an update for Fedora 9

So perl-Catalyst-Manual has been updated rather than perl-Catalyst-Runtime?
So you have removed /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm
from perl-Catalyst-Manual?  An interesting, but odd choice.

I imagined that your solution would involve removing
/usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm from perl-Catalyst-Runtime.
That is why I set the component for this bug to perl-Catalyst-Runtime.

Comment 6 Chris Weyl 2008-07-29 23:57:48 UTC
(In reply to comment #5)
> (In reply to comment #2)
> > perl-Catalyst-Manual-5.7013-1.fc9 has been submitted as an update for Fedora 9
> 
> So perl-Catalyst-Manual has been updated rather than perl-Catalyst-Runtime?
> So you have removed /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm
> from perl-Catalyst-Manual?  An interesting, but odd choice.
> 
> I imagined that your solution would involve removing
> /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm from perl-Catalyst-Runtime.
> That is why I set the component for this bug to perl-Catalyst-Runtime.

It is odd, but hardly the only odd thing about Catalyst-Runtime vs
Catalyst-Devel (catalyst.pl being pacakaged upstream with -Runtime but unusable
without -Devel comes to mind).  I wouldn't mind a second opinion, but to me the
Catalyst/Manual.pm included with Catalyst-Runtime is more informative than the
one actually packaged in Catalyst-Manual.

Not what I'd expect, either :)

Comment 7 Fedora Update System 2008-07-30 20:01:44 UTC
perl-Catalyst-Manual-5.7013-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Andrew Kornak 2008-08-03 01:19:00 UTC
I have latest Fedora updates...

yum install perl-Catalyst-Devel

Loaded plugins: dellsysidplugin, fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * updates: ftp.software.umn.edu
 * fedora: ftp.software.umn.edu
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package perl-Catalyst-Devel.noarch 0:1.07-1.fc9 set to be updated
--> Processing Dependency: perl(Catalyst::Manual) >= 5.7000 for package: perl-Catalyst-Devel
--> Processing Dependency: perl-Catalyst-Runtime-scripts for package: perl-Catalyst-Devel
--> Running transaction check
---> Package perl-Catalyst-Manual.noarch 0:5.700701-3.fc9 set to be updated
---> Package perl-Catalyst-Runtime-scripts.noarch 0:5.7014-3.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 perl-Catalyst-Devel     noarch     1.07-1.fc9       updates            66 k
Installing for dependencies:
 perl-Catalyst-Manual    noarch     5.700701-3.fc9   fedora            276 k
 perl-Catalyst-Runtime-scripts  noarch     5.7014-3.fc9     updates           9.3 k

Transaction Summary
=============================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 351 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm from install of perl-Catalyst-Manual-5.700701-3.fc9.noarch conflicts with file from package perl-Catalyst-Runtime-5.7014-3.fc9.noarch

Error Summary
-------------

Comment 9 Stepan Kasal 2009-03-25 15:46:08 UTC
(In reply to comment #8)
> yum install perl-Catalyst-Devel

> Installing:
>  perl-Catalyst-Devel     noarch     1.07-1.fc9       updates            66 k
> Installing for dependencies:
>  perl-Catalyst-Manual    noarch     5.700701-3.fc9   fedora            276 k
>  perl-Catalyst-Runtime-scripts  noarch     5.7014-3.fc9     updates    9.3 k

The problem here is that the new version in updates has not been picked; this has been filed separately as bug 491933.


Note You need to log in before you can comment on or make changes to this bug.